Fuppes v691 Debian Packages

April 11th, 2012 | Posted by spritian in Linux

For those who don’t know what Fuppes is – it’s a pretty sleek UPnP server. I love it, and works great with my Xbox 360 (with a minor code fix). I recently just migrated some of my major tasks that my Linux VM was doing to my Dell PowerEdge 2850. In doing so, the architecture changed (32 bit to 64 bit), so I had to go through the daunting task of re-compiling fuppes… YAY, not.

I created a new 64 bit Linux VM with a fresh install of Debian 6.0.4, so I could compile everything without making my main Linux box messy. This included: ffmpeg, x264, all the other libs ffmpeg requires, and fuppes svn rev 691. After a couple of hours, and banging my head (and wishing I had distcc setup, since make -j2 wasn’t cutting it on my ESX server), I have a couple of really nice debian packages for fuppes! Yes, you heard right!

The battle was won but it all started with obtaining ffmpeg and x264 releases from 01/2012. I tried some later releases, but fuppes complained about libavformat. Once I got those knocked out, next came fuppes. I’m not sure if it’s just broken in the later release, but there was an error with the sqlite3 sql statements in the code pertaining to Xbox 360. The fix I made makes it work on Xbox 360, but breaks the DNLA stuff. I don’t really care for that, since I run MediaTomb as well for my DNLA devices. I didn’t really want to rewrite a bunch of SQL code, or logic to make it work (since it seems Xbox and DNLA were using the same SQL statements). Instead, I just fixed it by appending an ORDER BY to one of the queries. With that said, I compiled a fairly vanilla copy of ffmpeg, but included a few things I use commonly when transcoding. Lastly, x264 had to be compiled with –enable-shared, so after you install the deb, you’ll need to add a path to ld.so.conf so ffmpeg will work.

Here are the links!

x264_fuppes691-1_amd64.deb

ffmpeg_fuppes691-1_amd64.deb

fuppes_0-1_amd64.deb

As stated, ffmpeg was compiled with the following:

--prefix=/usr --enable-avfilter --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib --disable-stripping --enable-runtime-cpudetect --enable-gpl --enable-postproc --enable-swscale --enable-x11grab --enable-libdc1394 --enable-shared --disable-static --enable-libfaac --enable-nonfree --enable-libx264

To install, download all 3 debs and do:

dpkg -i *.deb

Pretty easy.

Don’t forget to add /usr/local/lib to ld.so.conf (or add a new file in ld.so.conf.d). Once you do that, run ldconfig.
If ffmpeg complains about libx264 missing, then you did something wrong, and read the last sentence very S-L-O-W-L-Y ;-).

ffmpeg and fuppes loading now? Good! Modify the default fuppes.cfg (and other cfgs) in /usr/var/lib/fuppes/ and you will be streaming to your Xbox 360 in no time!

I’ll make another post in a couple of days including my fuppes cfgs. Enjoy!

You can follow any responses to this entry through the RSS 2.0 You can leave a response, or trackback.

One Response

  • Johnson says:

    i try to follow your inuorsctitn on installation zlibapt-cache search zlib this command doesn’t give any errorbut ..apt-get install zlib-bin zlib1g zlib1g-dev zlibc give this errorE: could not open lock file /var/lib/dpkg/lock open (13 permision denied)E: unable to lock the administration directory (/var/lib/dkpg/), are you root?i really need your help how to solve this problem..i’m using ubuntu9.04



Leave a Reply

Your email address will not be published. Required fields are marked *

*